Bug 335004 - "Breeze dark" has no background in the configuration dialog
Summary: "Breeze dark" has no background in the configuration dialog
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Theme - Breeze (show other bugs)
Version: master
Platform: unspecified Linux
: NOR normal
Target Milestone: 1.0
Assignee: Andrew Lake
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-18 21:47 UTC by Louis Moureaux
Modified: 2014-05-19 13:26 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot of the configuration dialog (72.00 KB, image/png)
2014-05-18 21:47 UTC, Louis Moureaux
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Louis Moureaux 2014-05-18 21:47:58 UTC
Created attachment 86700 [details]
Screenshot of the configuration dialog

In the desktop theme KCM, all items have a background showing how the panel will look like if the theme is applied, except "Breeze dark". It should have one.
Comment 1 Marco Martin 2014-05-19 13:25:46 UTC
Git commit 72239e7f3c519b485f2c0a91327a081b9be62730 by Marco Martin.
Committed on 19/05/2014 at 13:24.
Pushed by mart into branch 'master'.

apps can use more than one theme.

add the name in s_sharedFrames
Related: bug 335003

M  +21   -21   src/plasma/framesvg.cpp
M  +1    -1    src/plasma/theme.cpp

http://commits.kde.org/plasma-framework/72239e7f3c519b485f2c0a91327a081b9be62730
Comment 2 Marco Martin 2014-05-19 13:26:49 UTC
Git commit 4552d610acba845291db2c82a9448a83fdb0c1ee by Marco Martin.
Committed on 19/05/2014 at 13:25.
Pushed by mart into branch 'master'.

use a different Theme instance per delegate
Related: bug 335003

M  +5    -7    kcms/desktoptheme/thememodel.cpp

http://commits.kde.org/plasma-desktop/4552d610acba845291db2c82a9448a83fdb0c1ee